com.brightcove.player.store

## Class BaseEntity

- java.lang.Object
- - com.brightcove.player.store.BaseEntity

- Direct Known Subclasses:
    AbstractAnalyticsEvent

      @Superclass
      public abstract class BaseEntity
      extends java.lang.Object

  Created by rsubramaniam on 10/19/17.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `createTime` The date and time when the entity was created as number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `protected long` | `updateTime` The date and time when the entity was updated as number of milliseconds since January 1, 1970, 00:00:00 GMT.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getModifiedTime()` Gets the date and time when the entity was modified as number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `onBeforeInsert()` Sets the create time before the inserting the entity into the database table.
    `void` | `onBeforeUpdate()` Sets the create time before the inserting the entity into the database table.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### createTime

          protected long createTime

      The date and time when the entity was created as number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### updateTime

          protected long updateTime

      The date and time when the entity was updated as number of milliseconds since January 1, 1970, 00:00:00 GMT.

  - ### Constructor Detail

    - #### BaseEntity

          public BaseEntity()

  - ### Method Detail

    - #### onBeforeInsert

          @PreInsert
          public void onBeforeInsert()

      Sets the create time before the inserting the entity into the database table.

    - #### onBeforeUpdate

          @PreUpdate
          public void onBeforeUpdate()

      Sets the create time before the inserting the entity into the database table.

    - #### getModifiedTime

          public long getModifiedTime()

      Gets the date and time when the entity was modified as number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns: